{
  "type" : "record",
  "name" : "UniparentalDisomyInterpretationLog",
  "namespace" : "org.gel.models.report.avro",
  "fields" : [ {
    "name" : "versionControl",
    "type" : {
      "type" : "record",
      "name" : "ReportVersionControl",
      "fields" : [ {
        "name" : "gitVersionControl",
        "type" : "string",
        "doc" : "This is the version for the entire set of data models as referred to the Git release tag",
        "default" : "6.5.0"
      } ]
    },
    "doc" : "Model version number"
  }, {
    "name" : "variant",
    "type" : {
      "type" : "record",
      "name" : "UniparentalDisomyDetails",
      "fields" : [ {
        "name" : "assembly",
        "type" : {
          "type" : "enum",
          "name" : "Assembly",
          "doc" : "The reference genome assembly",
          "symbols" : [ "GRCh38", "GRCh37" ]
        },
        "doc" : "Reference assembly"
      }, {
        "name" : "chromosome",
        "type" : "string",
        "doc" : "Chromosome where two homologues were inherited from one parent"
      }, {
        "name" : "complete",
        "type" : [ "null", "boolean" ],
        "doc" : "indicates whether UPD event involves an entire chromosome"
      }, {
        "name" : "origin",
        "type" : {
          "type" : "enum",
          "name" : "UniparentalDisomyOrigin",
          "symbols" : [ "paternal", "maternal", "unknown" ]
        },
        "doc" : "The parent who contributed two chromosomes was the mother (maternal) or the father (paternal)"
      }, {
        "name" : "uniparentalDisomyFragments",
        "type" : [ "null", {
          "type" : "array",
          "items" : {
            "type" : "record",
            "name" : "UniparentalDisomyFragment",
            "fields" : [ {
              "name" : "coordinates",
              "type" : [ "null", {
                "type" : "record",
                "name" : "Coordinates",
                "fields" : [ {
                  "name" : "assembly",
                  "type" : "Assembly",
                  "doc" : "The assembly to which this variant corresponds"
                }, {
                  "name" : "chromosome",
                  "type" : "string",
                  "doc" : "Chromosome without \"chr\" prefix (e.g. X rather than chrX)"
                }, {
                  "name" : "start",
                  "type" : "int",
                  "doc" : "Start genomic position for variant (1-based)"
                }, {
                  "name" : "end",
                  "type" : "int",
                  "doc" : "End genomic position for variant"
                }, {
                  "name" : "ciStart",
                  "type" : [ "null", {
                    "type" : "record",
                    "name" : "ConfidenceInterval",
                    "fields" : [ {
                      "name" : "left",
                      "type" : "int"
                    }, {
                      "name" : "right",
                      "type" : "int"
                    } ]
                  } ]
                }, {
                  "name" : "ciEnd",
                  "type" : [ "null", "ConfidenceInterval" ]
                } ]
              } ],
              "doc" : "Coordinates can be specified to indicate the part of the chromosome affected"
            }, {
              "name" : "uniparentalDisomyType",
              "type" : {
                "type" : "enum",
                "name" : "UniparentalDisomyType",
                "symbols" : [ "isodisomy", "heterodisomy", "both" ]
              },
              "doc" : "indicates whether the UPD event involves `isodisomy`, `heterodisomy` or `both`"
            } ]
          }
        } ],
        "doc" : "List of all of the UPD fragments for this UPD event"
      } ]
    },
    "doc" : "Variant details"
  }, {
    "name" : "genomicEntities",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "GenomicEntity",
        "doc" : "A genomic feature",
        "fields" : [ {
          "name" : "type",
          "type" : {
            "type" : "enum",
            "name" : "GenomicEntityType",
            "doc" : "Types of genomic features:\n\n* `regulatory_region`: a regulatory region\n* `gene`: a gene\n* `transcript`: a transcript\n* `intergenic`: an intergenic region",
            "symbols" : [ "regulatory_region", "gene", "transcript", "intergenic", "gene_fusion", "genomic_region", "cytobands" ]
          },
          "doc" : "The type of the genomic entity"
        }, {
          "name" : "ensemblId",
          "type" : [ "null", "string" ],
          "doc" : "Ensembl identifier for the feature (e.g, ENST00000544455)"
        }, {
          "name" : "geneSymbol",
          "type" : [ "null", "string" ],
          "doc" : "The HGNC gene symbol. This field is optional, BUT it should be filled if possible"
        }, {
          "name" : "otherIds",
          "type" : [ "null", {
            "type" : "array",
            "items" : {
              "type" : "record",
              "name" : "Identifier",
              "fields" : [ {
                "name" : "source",
                "type" : "string",
                "doc" : "Source i.e, esenmbl"
              }, {
                "name" : "identifier",
                "type" : "string",
                "doc" : "identifier"
              } ]
            }
          } ],
          "doc" : "Others identifiers for this genomic feature"
        } ]
      }
    } ],
    "doc" : "Genomic entities associated with this variant interpretation e.g. gene"
  }, {
    "name" : "user",
    "type" : {
      "type" : "record",
      "name" : "User",
      "fields" : [ {
        "name" : "userid",
        "type" : [ "null", "string" ],
        "doc" : "Azure Active Directory immutable user OID"
      }, {
        "name" : "email",
        "type" : "string",
        "doc" : "User email address"
      }, {
        "name" : "username",
        "type" : "string",
        "doc" : "Username"
      }, {
        "name" : "role",
        "type" : [ "null", "string" ]
      }, {
        "name" : "groups",
        "type" : [ "null", {
          "type" : "array",
          "items" : "string"
        } ]
      } ]
    },
    "doc" : "User who set classification"
  }, {
    "name" : "timestamp",
    "type" : "string",
    "doc" : "Date and time variant was classified (ISO 8601 datetime with seconds and timezone e.g. 2020-11-23T15:52:36+00:00)"
  }, {
    "name" : "groupId",
    "type" : "string",
    "doc" : "GeL group ID. For GMS cases this will be the referral ID. For 100k rare disease cases this will be the family ID. For 100k cancer cases this will be the participant ID."
  }, {
    "name" : "caseId",
    "type" : "string",
    "doc" : "Interpretation request ID including CIP prefix and version suffix (e.g. SAP-1234-1)"
  }, {
    "name" : "variantValidation",
    "type" : [ "null", {
      "type" : "record",
      "name" : "VariantValidation",
      "fields" : [ {
        "name" : "validationTechnology",
        "type" : "string",
        "doc" : "Technology used to perform secondary confirmation of this variant (e.g. Sanger)"
      }, {
        "name" : "validationResult",
        "type" : {
          "type" : "enum",
          "name" : "ValidationResult",
          "symbols" : [ "NotPerformed", "Confirmed", "NotConfirmed", "Pending" ]
        },
        "doc" : "Status/outcome of validation"
      } ]
    } ],
    "doc" : "Independent validation of variant"
  }, {
    "name" : "comments",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "UserComment",
        "fields" : [ {
          "name" : "comment",
          "type" : "string",
          "doc" : "Comment text"
        }, {
          "name" : "user",
          "type" : [ "null", "User" ],
          "doc" : "User who created comment"
        }, {
          "name" : "timestamp",
          "type" : [ "null", "string" ],
          "doc" : "Date and time comment was created (ISO 8601 datetime with seconds and timezone e.g. 2020-11-23T15:52:36+00:00)"
        } ]
      }
    } ],
    "doc" : "User comments attached to this variant in this case"
  }, {
    "name" : "variantClassification",
    "type" : {
      "type" : "enum",
      "name" : "ClinicalSignificance",
      "symbols" : [ "benign", "likely_benign", "likely_pathogenic", "pathogenic", "uncertain_significance", "excluded" ]
    },
    "doc" : "Variant classification"
  }, {
    "name" : "Artifact",
    "type" : [ "null", "boolean" ],
    "doc" : "User has marked the variant as an artefact"
  }, {
    "name" : "phenotypesSolved",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "PhenotypesSolved",
      "symbols" : [ "yes", "no", "partially", "unknown" ]
    } ],
    "doc" : "Was this variant recorded as explaining the patient's phenotype?"
  }, {
    "name" : "reportCategory",
    "type" : [ "null", {
      "type" : "enum",
      "name" : "ReportCategory",
      "symbols" : [ "primary_finding", "secondary_finding", "do_not_report", "other" ]
    } ],
    "doc" : "The decision on whether to report this variant or not as recorded at time of interpretation."
  }, {
    "name" : "decisionSupportSystemFilters",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ],
    "doc" : "Filter settings applied at time variant was classified"
  }, {
    "name" : "flaggedPublications",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "Publication",
        "doc" : "For each publication, either a PMID or DOI should be included, preferably both if available",
        "fields" : [ {
          "name" : "pmid",
          "type" : [ "null", "string" ],
          "doc" : "PubMed ID"
        }, {
          "name" : "doi",
          "type" : [ "null", "string" ],
          "doc" : "Digital Object Identifier (DOI) e.g. 10.1056/NEJMra0802968"
        }, {
          "name" : "comments",
          "type" : [ "null", {
            "type" : "array",
            "items" : "UserComment"
          } ],
          "doc" : "User comments left on this article as part of this variant interpretation"
        } ]
      }
    } ],
    "doc" : "Publications flagged by the user as relevant"
  }, {
    "name" : "selectedReportEvents",
    "type" : [ "null", {
      "type" : "array",
      "items" : {
        "type" : "record",
        "name" : "SelectedReportEvent",
        "fields" : [ {
          "name" : "interpretationService",
          "type" : [ "null", "string" ],
          "doc" : "interpretation service for the interpreted genome this report event was taken from"
        }, {
          "name" : "cipVersion",
          "type" : [ "null", "int" ],
          "doc" : "Interpreted genome version, stored as cip_version in CIPAPI, for the interpreted genome this report event was taken from"
        }, {
          "name" : "reportEvent",
          "type" : {
            "type" : "record",
            "name" : "ReportEvent",
            "doc" : "A report event holds all the information about why a given variant is relevant to report. The same variant may have\n    several report events. For instance, we may have two report events from the tiering process when two panels are\n    analysed, a positive report from a Genomic Medicine Centre (GMC) will correspond to an additional report event.",
            "fields" : [ {
              "name" : "evidenceEntry",
              "type" : [ "null", {
                "type" : "record",
                "name" : "EvidenceEntry",
                "doc" : "An entry for an evidence",
                "fields" : [ {
                  "name" : "source",
                  "type" : {
                    "type" : "record",
                    "name" : "EvidenceSource",
                    "doc" : "The source of an evidence.",
                    "fields" : [ {
                      "name" : "name",
                      "type" : [ "null", "string" ],
                      "doc" : "Name of source"
                    }, {
                      "name" : "version",
                      "type" : [ "null", "string" ],
                      "doc" : "Version of source"
                    }, {
                      "name" : "date",
                      "type" : [ "null", "string" ],
                      "doc" : "The source date."
                    } ]
                  },
                  "doc" : "Source of the evidence"
                }, {
                  "name" : "submissions",
                  "type" : {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "EvidenceSubmission",
                      "doc" : "The submission information",
                      "fields" : [ {
                        "name" : "submitter",
                        "type" : [ "null", "string" ],
                        "doc" : "The submitter"
                      }, {
                        "name" : "date",
                        "type" : [ "null", "string" ],
                        "doc" : "The submission date"
                      }, {
                        "name" : "id",
                        "type" : [ "null", "string" ],
                        "doc" : "The submission id"
                      } ]
                    }
                  },
                  "doc" : "The list of submissions",
                  "default" : [ ]
                }, {
                  "name" : "somaticInformation",
                  "type" : [ "null", {
                    "type" : "record",
                    "name" : "SomaticInformation",
                    "doc" : "The somatic information.",
                    "fields" : [ {
                      "name" : "primarySite",
                      "type" : [ "null", "string" ],
                      "doc" : "The primary site"
                    }, {
                      "name" : "siteSubtype",
                      "type" : [ "null", "string" ],
                      "doc" : "The primary site subtype"
                    }, {
                      "name" : "primaryHistology",
                      "type" : [ "null", "string" ],
                      "doc" : "The primary histology"
                    }, {
                      "name" : "histologySubtype",
                      "type" : [ "null", "string" ],
                      "doc" : "The histology subtype"
                    }, {
                      "name" : "tumourOrigin",
                      "type" : [ "null", "string" ],
                      "doc" : "The tumour origin"
                    }, {
                      "name" : "sampleSource",
                      "type" : [ "null", "string" ],
                      "doc" : "The sample source, e.g. blood-bone marrow, cell-line, pancreatic"
                    } ]
                  } ],
                  "doc" : "The somatic information"
                }, {
                  "name" : "url",
                  "type" : [ "null", "string" ],
                  "doc" : "URL of source if any"
                }, {
                  "name" : "id",
                  "type" : [ "null", "string" ],
                  "doc" : "ID of record in the source"
                }, {
                  "name" : "assembly",
                  "type" : [ "null", "string" ],
                  "doc" : "The reference genome assembly"
                }, {
                  "name" : "alleleOrigin",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "enum",
                      "name" : "AlleleOrigin",
                      "doc" : "Variant origin.\n    * `SO_0001781`: de novo variant. http://purl.obolibrary.org/obo/SO_0001781\n    * `SO_0001778`: germline variant. http://purl.obolibrary.org/obo/SO_0001778\n    * `SO_0001775`: maternal variant. http://purl.obolibrary.org/obo/SO_0001775\n    * `SO_0001776`: paternal variant. http://purl.obolibrary.org/obo/SO_0001776\n    * `SO_0001779`: pedigree specific variant. http://purl.obolibrary.org/obo/SO_0001779\n    * `SO_0001780`: population specific variant. http://purl.obolibrary.org/obo/SO_0001780\n    * `SO_0001777`: somatic variant. http://purl.obolibrary.org/obo/SO_0001777",
                      "symbols" : [ "de_novo_variant", "germline_variant", "maternal_variant", "paternal_variant", "pedigree_specific_variant", "population_specific_variant", "somatic_variant" ]
                    }
                  } ],
                  "doc" : "List of allele origins"
                }, {
                  "name" : "heritableTraits",
                  "type" : {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "HeritableTrait",
                      "doc" : "The entity representing a phenotype and its inheritance pattern.",
                      "fields" : [ {
                        "name" : "trait",
                        "type" : [ "null", "string" ],
                        "doc" : "The trait (e.g.: HPO term, MIM term, DO term etc.)"
                      }, {
                        "name" : "inheritanceMode",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "ModeOfInheritance",
                          "doc" : "An enumeration for the different mode of inheritances:\n\n* `monoallelic_not_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, not imprinted\n* `monoallelic_maternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, maternally imprinted (paternal allele expressed)\n* `monoallelic_paternally_imprinted`: MONOALLELIC, autosomal or pseudoautosomal, paternally imprinted (maternal allele expressed)\n* `monoallelic`: MONOALLELIC, autosomal or pseudoautosomal, imprinted status unknown\n* `biallelic`: BIALLELIC, autosomal or pseudoautosomal\n* `monoallelic_and_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal\n* `monoallelic_and_more_severe_biallelic`: BOTH monoallelic and biallelic, autosomal or pseudoautosomal (but BIALLELIC mutations cause a more SEVERE disease form), autosomal or pseudoautosomal\n* `xlinked_biallelic`: X-LINKED: hemizygous mutation in males, biallelic mutations in females\n* `xlinked_monoallelic`: X linked: hemizygous mutation in males, monoallelic mutations in females may cause disease (may be less severe, later onset than males)\n* `mitochondrial`: MITOCHONDRIAL\n* `unknown`: Unknown",
                          "symbols" : [ "monoallelic", "monoallelic_not_imprinted", "monoallelic_maternally_imprinted", "monoallelic_paternally_imprinted", "biallelic", "monoallelic_and_biallelic", "monoallelic_and_more_severe_biallelic", "xlinked_biallelic", "xlinked_monoallelic", "mitochondrial", "unknown", "na" ]
                        } ],
                        "doc" : "The mode of inheritance"
                      } ]
                    }
                  },
                  "doc" : "Heritable traits associated to this evidence",
                  "default" : [ ]
                }, {
                  "name" : "genomicFeatures",
                  "type" : {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "GenomicFeature",
                      "doc" : "The genomic feature",
                      "fields" : [ {
                        "name" : "featureType",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "FeatureTypes",
                          "doc" : "The feature types",
                          "symbols" : [ "regulatory_region", "gene", "transcript", "protein" ]
                        } ],
                        "doc" : "Feature Type"
                      }, {
                        "name" : "ensemblId",
                        "type" : [ "null", "string" ],
                        "doc" : "Feature used, this should be a feature ID from Ensembl, (i.e, ENST00000544455)"
                      }, {
                        "name" : "xrefs",
                        "type" : [ "null", {
                          "type" : "map",
                          "values" : "string"
                        } ],
                        "doc" : "Others IDs. Fields like the HGNC symbol if available should be added here"
                      } ]
                    }
                  },
                  "doc" : "The transcript to which the evidence refers",
                  "default" : [ ]
                }, {
                  "name" : "variantClassification",
                  "type" : [ "null", {
                    "type" : "record",
                    "name" : "VariantClassification",
                    "doc" : "The variant classification according to different properties.",
                    "fields" : [ {
                      "name" : "clinicalSignificance",
                      "type" : [ "null", "ClinicalSignificance" ],
                      "doc" : "The variant's clinical significance."
                    }, {
                      "name" : "drugResponseClassification",
                      "type" : [ "null", {
                        "type" : "enum",
                        "name" : "DrugResponseClassification",
                        "symbols" : [ "altered_sensitivity", "reduced_sensitivity", "increased_sensitivity", "altered_resistance", "increased_resistance", "reduced_resistance", "increased_risk_of_toxicity", "reduced_risk_of_toxicity", "altered_toxicity", "adverse_drug_reaction", "indication", "contraindication", "dosing_alteration", "increased_dose", "reduced_dose", "increased_monitoring", "increased_efficacy", "reduced_efficacy", "altered_efficacy" ]
                      } ],
                      "doc" : "The variant's pharmacogenomics classification."
                    }, {
                      "name" : "traitAssociation",
                      "type" : [ "null", {
                        "type" : "enum",
                        "name" : "TraitAssociation",
                        "symbols" : [ "established_risk_allele", "likely_risk_allele", "uncertain_risk_allele", "protective" ]
                      } ],
                      "doc" : "The variant's trait association."
                    }, {
                      "name" : "tumorigenesisClassification",
                      "type" : [ "null", {
                        "type" : "enum",
                        "name" : "TumorigenesisClassification",
                        "symbols" : [ "driver", "passenger", "modifier" ]
                      } ],
                      "doc" : "The variant's tumorigenesis classification."
                    }, {
                      "name" : "functionalEffect",
                      "type" : [ "null", {
                        "type" : "enum",
                        "name" : "VariantFunctionalEffect",
                        "symbols" : [ "dominant_negative_variant", "gain_of_function_variant", "lethal_variant", "loss_of_function_variant", "loss_of_heterozygosity", "null_variant" ]
                      } ],
                      "doc" : "The variant functional effect"
                    } ]
                  } ],
                  "doc" : "The variant classification"
                }, {
                  "name" : "impact",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "EvidenceImpact",
                    "doc" : "Evidence of pathogenicity and benign impact as defined in Richards, S. et al. (2015). Standards and guidelines for the interpretation\n    of sequence variants: a joint consensus recommendation of the American College of Medical Genetics and Genomics and\n    the Association for Molecular Pathology. Genetics in Medicine, 17(5), 405–423. https://doi.org/10.1038/gim.2015.30\n\nEvidence of pathogenicity:\n* `very_strong`:\n    - PVS1 null variant (nonsense, frameshift, canonical ±1 or 2 splice sites, initiation codon, single or multiexon\n    deletion) in a gene where LOF is a known mechanism of disease\n* `strong`:\n    - PS1 Same amino acid change as a previously established pathogenic variant regardless of nucleotide change\n    - PS2 De novo (both maternity and paternity confirmed) in a patient with the disease and no family history\n    - PS3 Well-established in vitro or in vivo functional studies supportive of a damaging effect on the gene or gene\n    product\n    - PS4 The prevalence of the variant in affected individuals is significantly increased compared with the prevalence\n    in controls\n* `moderate`:\n    - PM1 Located in a mutational hot spot and/or critical and well-established functional domain (e.g., active site of\n    an enzyme) without benign variation\n    - PM2 Absent from controls (or at extremely low frequency if recessive) in Exome Sequencing Project, 1000 Genomes\n    Project, or Exome Aggregation Consortium\n    - PM3 For recessive disorders, detected in trans with a pathogenic variant\n    - PM4 Protein length changes as a result of in-frame deletions/insertions in a nonrepeat region or stop-loss\n    variants\n    - PM5 Novel missense change at an amino acid residue where a different missense change determined to be pathogenic\n    has been seen before\n    - PM6 Assumed de novo, but without confirmation of paternity and maternity\n* `supporting`:\n    - PP1 Cosegregation with disease in multiple affected family members in a gene definitively known to cause the\n    disease\n    - PP2 Missense variant in a gene that has a low rate of benign missense variation and in which missense variants are\n    a common mechanism of disease\n    - PP3 Multiple lines of computational evidence support a deleterious effect on the gene or gene product\n    (conservation, evolutionary, splicing impact, etc.)\n    - PP4 Patient’s phenotype or family history is highly specific for a disease with a single genetic etiology\n    - PP5 Reputable source recently reports variant as pathogenic, but the evidence is not available to the laboratory\n    to perform an independent evaluation\n\nEvidence of benign impact:\n* `stand_alone`:\n    - BA1 Allele frequency is >5% in Exome Sequencing Project, 1000 Genomes Project, or Exome Aggregation\n    Consortium\n* `strong`:\n    - BS1 Allele frequency is greater than expected for disorder\n    - BS2 Observed in a healthy adult individual for a recessive (homozygous), dominant (heterozygous), or X-linked\n    (hemizygous) disorder, with full penetrance expected at an early age\n    - BS3 Well-established in vitro or in vivo functional studies show no damaging effect on protein function or\n    splicing\n    - BS4 Lack of segregation in affected members of a family\n* `supporting`:\n    - BP1 Missense variant in a gene for which primarily truncating variants are known to cause disease\n    - BP2 Observed in trans with a pathogenic variant for a fully penetrant dominant gene/disorder or observed in cis\n    with a pathogenic variant in any inheritance pattern\n    - BP3 In-frame deletions/insertions in a repetitive region without a known function\n    - BP4 Multiple lines of computational evidence suggest no impact on gene or gene product (conservation,\n    evolutionary, splicing impact, etc.)\n    - BP5 Variant found in a case with an alternate molecular basis for disease\n    - BP6 Reputable source recently reports variant as benign, but the evidence is not available to the laboratory to\n    perform an independent evaluation\n    - BP7 A synonymous (silent) variant for which splicing prediction algorithms predict no impact to the splice\n    consensus sequence nor the creation of a new splice site AND the nucleotide is not highly conserved",
                    "symbols" : [ "very_strong", "strong", "moderate", "supporting", "stand_alone" ]
                  } ],
                  "doc" : "Impact of evidence. Should be coherent with the classification of impact if provided."
                }, {
                  "name" : "confidence",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "Confidence",
                    "doc" : "Confidence based on the Confidence Information Ontology\n\n    * `CIO_0000029`: high confidence level http://purl.obolibrary.org/obo/CIO_0000029\n    * `CIO_0000031`: low confidence level http://purl.obolibrary.org/obo/CIO_0000031\n    * `CIO_0000030`: medium confidence level http://purl.obolibrary.org/obo/CIO_0000030\n    * `CIO_0000039`: rejected http://purl.obolibrary.org/obo/CIO_0000039",
                    "symbols" : [ "low_confidence_level", "medium_confidence_level", "high_confidence_level", "rejected" ]
                  } ],
                  "doc" : "The curation confidence."
                }, {
                  "name" : "consistencyStatus",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "ConsistencyStatus",
                    "doc" : "The consistency of evidences for a given phenotype. This aggregates all evidences for a given phenotype and all\n    evidences with no phenotype associated (e.g.: in silico impact prediction, population frequency).\n    This is based on the Confidence Information Ontology terms.\n\n    * `CIO_0000033`: congruent, all evidences are consistent. http://purl.obolibrary.org/obo/CIO_0000033\n    * `CIO_0000034`: conflict, there are conflicting evidences. This should correspond to a `VariantClassification` of\n    `uncertain_significance` for mendelian disorders. http://purl.obolibrary.org/obo/CIO_0000034\n    * `CIO_0000035`: strongly conflicting. http://purl.obolibrary.org/obo/CIO_0000035\n    * `CIO_0000036`: weakly conflicting. http://purl.obolibrary.org/obo/CIO_0000036",
                    "symbols" : [ "congruent", "conflict", "weakly_conflicting", "strongly_conflicting" ]
                  } ],
                  "doc" : "The consistency status. This is applicable to complex evidences (e.g.: ClinVar)"
                }, {
                  "name" : "ethnicity",
                  "type" : {
                    "type" : "enum",
                    "name" : "EthnicCategory",
                    "namespace" : "org.gel.models.participant.avro",
                    "doc" : "This is the list of ethnicities in ONS16\n\n    * `D`:  Mixed: White and Black Caribbean\n    * `E`:  Mixed: White and Black African\n    * `F`:  Mixed: White and Asian\n    * `G`:  Mixed: Any other mixed background\n    * `A`:  White: British\n    * `B`:  White: Irish\n    * `C`:  White: Any other White background\n    * `L`:  Asian or Asian British: Any other Asian background\n    * `M`:  Black or Black British: Caribbean\n    * `N`:  Black or Black British: African\n    * `H`:  Asian or Asian British: Indian\n    * `J`:  Asian or Asian British: Pakistani\n    * `K`:  Asian or Asian British: Bangladeshi\n    * `P`:  Black or Black British: Any other Black background\n    * `S`:  Other Ethnic Groups: Any other ethnic group\n    * `R`:  Other Ethnic Groups: Chinese\n    * `Z`:  Not stated",
                    "symbols" : [ "D", "E", "F", "G", "A", "B", "C", "L", "M", "N", "H", "J", "K", "P", "S", "R", "Z" ]
                  },
                  "doc" : "Ethnicity"
                }, {
                  "name" : "penetrance",
                  "type" : [ "null", {
                    "type" : "enum",
                    "name" : "Penetrance",
                    "namespace" : "org.gel.models.participant.avro",
                    "doc" : "Penetrance assumed in the analysis",
                    "symbols" : [ "complete", "incomplete" ]
                  } ],
                  "doc" : "The penetrance of the phenotype for this genotype. Value in the range [0, 1]"
                }, {
                  "name" : "variableExpressivity",
                  "type" : [ "null", "boolean" ],
                  "doc" : "Variable expressivity of a given phenotype for the same genotype"
                }, {
                  "name" : "description",
                  "type" : [ "null", "string" ],
                  "doc" : "Evidence description"
                }, {
                  "name" : "additionalProperties",
                  "type" : {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Property",
                      "doc" : "A property in the form of name-value pair.\n    Names are restricted to ontology ids, they should be checked against existing ontologies in resources like\n    Ontology Lookup Service.",
                      "fields" : [ {
                        "name" : "id",
                        "type" : [ "null", "string" ],
                        "doc" : "The ontology term id or accession in OBO format ${ONTOLOGY_ID}:${TERM_ID} (http://www.obofoundry.org/id-policy.html)"
                      }, {
                        "name" : "name",
                        "type" : [ "null", "string" ],
                        "doc" : "The ontology term name"
                      }, {
                        "name" : "value",
                        "type" : [ "null", "string" ],
                        "doc" : "Optional value for the ontology term, the type of the value is not checked\n        (i.e.: we could set the pvalue term to \"significant\" or to \"0.0001\")"
                      } ]
                    }
                  },
                  "doc" : "A list of additional properties in the form name-value.",
                  "default" : [ ]
                }, {
                  "name" : "bibliography",
                  "type" : {
                    "type" : "array",
                    "items" : "string"
                  },
                  "doc" : "Bibliography",
                  "default" : [ ]
                } ]
              } ],
              "doc" : "An entry for an evidence"
            }, {
              "name" : "reportEventId",
              "type" : "string",
              "doc" : "Unique identifier for each report event, this is unique across the whole report. A report having more than one\n        report event with the same identifier is invalid. Repeating report event identifiers between different reports\n        is valid. The uniqueness of this field will be checked in report validation"
            }, {
              "name" : "phenotypes",
              "type" : {
                "type" : "record",
                "name" : "Phenotypes",
                "doc" : "Oontology term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                "fields" : [ {
                  "name" : "nonStandardPhenotype",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : "string"
                  } ],
                  "doc" : "The non standardised phenotypes (i.e.: may be free text)"
                }, {
                  "name" : "standardPhenotypes",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "StandardPhenotype",
                      "doc" : "Standard phenotype term based on the OBO format (see an example here http://snapshot.geneontology.org/ontology/go-basic.obo)",
                      "fields" : [ {
                        "name" : "id",
                        "type" : "string"
                      }, {
                        "name" : "name",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "namespace",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "definition",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "comment",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "alternativeIds",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "synonyms",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "isA",
                        "type" : [ "null", "string" ]
                      }, {
                        "name" : "ontology",
                        "type" : {
                          "type" : "record",
                          "name" : "Ontology",
                          "doc" : "The ontology to which a standard term belongs",
                          "fields" : [ {
                            "name" : "name",
                            "type" : "string"
                          }, {
                            "name" : "version",
                            "type" : "string"
                          } ]
                        },
                        "doc" : "The ontology (e.g.: HPO, OMIM, SNOMED CT)"
                      }, {
                        "name" : "matchScore",
                        "type" : [ "null", "float" ],
                        "doc" : "The match between the non standard phenotype and this term when in silico"
                      } ]
                    }
                  } ],
                  "doc" : "The standardised phenotypes (i.e.: controlled terminology)"
                } ]
              },
              "doc" : "The list of phenotypes"
            }, {
              "name" : "variantConsequences",
              "type" : {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "VariantConsequence",
                  "doc" : "A variant consequence as defined by the Sequence Ontology (SO) (e.g.: id = SO:0001816 ; name = non synonymous)\n    NOTE: this record is equivalent to OpenCB's `ConsequenceType`, but we want to avoid naming collisions",
                  "fields" : [ {
                    "name" : "id",
                    "type" : "string",
                    "doc" : "The SO term identifier (e.g.: SO:0001816)"
                  }, {
                    "name" : "name",
                    "type" : [ "null", "string" ],
                    "doc" : "The SO term name (e.g.: non synonymous)"
                  } ]
                }
              },
              "doc" : "Sequence Ontology terms for relevant consequence types for this report event"
            }, {
              "name" : "genePanel",
              "type" : [ "null", {
                "type" : "record",
                "name" : "GenePanel",
                "doc" : "A panel of genes",
                "fields" : [ {
                  "name" : "panelIdentifier",
                  "type" : [ "null", "string" ],
                  "doc" : "Panel name used"
                }, {
                  "name" : "panelName",
                  "type" : [ "null", "string" ],
                  "doc" : "Panel name used"
                }, {
                  "name" : "panelVersion",
                  "type" : [ "null", "string" ],
                  "doc" : "Panel version"
                }, {
                  "name" : "source",
                  "type" : [ "null", "string" ],
                  "doc" : "source i.e, PanelApp"
                } ]
              } ],
              "doc" : "The panel of genes to which this report corresponds"
            }, {
              "name" : "modeOfInheritance",
              "type" : "ModeOfInheritance",
              "doc" : "Mode of inheritance used to analyse the family"
            }, {
              "name" : "genomicEntities",
              "type" : {
                "type" : "array",
                "items" : "GenomicEntity"
              },
              "doc" : "The list of genomic features of interest for this report event. Please note that one variant can overlap more\n        that one gene/transcript. If more than one gene/transcript is considered interesting for this particular\n        variant, should be reported in two different ReportEvents"
            }, {
              "name" : "segregationPattern",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "SegregationPattern",
                "symbols" : [ "UniparentalIsodisomy", "SimpleRecessive", "CompoundHeterozygous", "deNovo", "InheritedAutosomalDominant", "InheritedAutosomalDominantMaternallyImprinted", "InheritedAutosomalDominantPaternallyImprinted", "XLinkedCompoundHeterozygous", "XLinkedSimpleRecessive", "XLinkedMonoallelic", "MitochondrialGenome" ]
              } ],
              "doc" : "Segregation pattern if any calculated using the genotypes information of a family"
            }, {
              "name" : "penetrance",
              "type" : [ "null", "org.gel.models.participant.avro.Penetrance" ],
              "doc" : "This is the penetrance assumed for scoring or classifying this variant"
            }, {
              "name" : "deNovoQualityScore",
              "type" : [ "null", "float" ],
              "doc" : "Likelihood of being a de novo variant"
            }, {
              "name" : "fullyExplainsPhenotype",
              "type" : [ "null", "boolean" ],
              "doc" : "Flag to indicate if this variant using this mode of inheritance can fully explain the phenotype"
            }, {
              "name" : "groupOfVariants",
              "type" : [ "null", "int" ],
              "doc" : "This value groups variants that together could explain the phenotype according to the mode of inheritance used.\n        (e.g.: compound heterozygous). All the variants in the same report sharing the same value will be considered in\n        the same group (i.e.: reported together). This value is an integer unique in the whole report.\n        These values are only relevant within the same report."
            }, {
              "name" : "eventJustification",
              "type" : [ "null", "string" ],
              "doc" : "This is the description of why this variant would be reported, for example that it affects the protein in this way\n        and that this gene has been implicated in this disorder in these publications. Publications should be provided as PMIDs\n        using the format [PMID:8075643]. Other sources can be used in the same manner, e.g. [OMIM:163500]. Brackets need to be included."
            }, {
              "name" : "roleInCancer",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "enum",
                  "name" : "RoleInCancer",
                  "doc" : "The role of a given genomic feature in cancer\n\n* `NCIT_C16936`: oncogene. A gene that is a mutated (changed) form of a gene involved in normal cell growth. Oncogenes may cause the growth of cancer cells. Mutations in genes that become oncogenes can be inherited or caused by being exposed to substances in the environment that cause cancer. http://purl.obolibrary.org/obo/NCIT_C16936\n* `NCIT_C17362`: tumor_suppressor_gene. A type of gene that makes a protein called a tumor suppressor protein that helps control cell growth. Mutations (changes in DNA) in antioncogenes may lead to cancer. http://purl.obolibrary.org/obo/NCIT_C17362",
                  "symbols" : [ "oncogene", "tumor_suppressor_gene", "both" ]
                }
              } ],
              "doc" : "The role of this variant in cancer if any"
            }, {
              "name" : "actions",
              "type" : [ "null", {
                "type" : "record",
                "name" : "Actions",
                "doc" : "Clinical actions",
                "fields" : [ {
                  "name" : "trials",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Trial",
                      "fields" : [ {
                        "name" : "studyUrl",
                        "type" : "string",
                        "doc" : "URL where reference information for this trail can be found"
                      }, {
                        "name" : "studyIdentifier",
                        "type" : "string",
                        "doc" : "Trail/Study indetifier"
                      }, {
                        "name" : "startDate",
                        "type" : [ "null", "string" ],
                        "doc" : "Start date of the study"
                      }, {
                        "name" : "estimateCompletionDate",
                        "type" : [ "null", "string" ],
                        "doc" : "Completion date of the study"
                      }, {
                        "name" : "title",
                        "type" : [ "null", "string" ],
                        "doc" : "Title of the study"
                      }, {
                        "name" : "phase",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "StudyPhase",
                          "doc" : "N/A: Trials without phases (for example, studies of devices or behavioural interventions).\n    Early Phase 1 (Formerly listed as \"Phase 0\"): Exploratory trials, involving very limited human exposure, with no therapeutic or diagnostic intent (e.g., screening studies, microdose studies). See FDA guidance on exploratory IND studies for more information.\n    Phase 1: Includes initial studies to determine the metabolism and pharmacologic actions of drugs in humans, the side effects associated with increasing doses, and to gain early evidence of effectiveness; may include healthy participants and/or patients.\n    Phase 1/Phase 2: Trials that are a combination of phases 1 and 2.\n    Phase 2: Includes controlled clinical studies conducted to evaluate the effectiveness of the drug for a particular indication or indications in participants with the disease or condition under study and to determine the common short-term side effects and risks.\n    Phase 2/Phase 3: Trials that are a combination of phases 2 and 3.\n    Phase 3: Includes trials conducted after preliminary evidence suggesting effectiveness of the drug has been obtained, and are intended to gather additional information to evaluate the overall benefit-risk relationship of the drug.\n    Phase 4: Studies of FDA-approved drugs to delineate additional information including the drug's risks, benefits, and optimal use.",
                          "symbols" : [ "na", "early_phase1", "phase1", "phase1_phase2", "phase2", "phase2_phase3", "phase3", "phase4" ]
                        } ],
                        "doc" : "Study Phase"
                      }, {
                        "name" : "interventions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "Intervention",
                            "doc" : "A process or action that is the focus of a clinical study.\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.html",
                            "fields" : [ {
                              "name" : "interventionType",
                              "type" : {
                                "type" : "enum",
                                "name" : "InterventionType",
                                "doc" : "For each intervention studied in the clinical study, the general type of intervention\n\n* `drug`: Including placebo\n* `device`: Including sham\n* `biological`: Vaccine\n* `procedure`: Surgery\n* `radiation`\n* `behavioral`: For example, psychotherapy, lifestyle counselling\n* `genetic`: Including gene transfer, stem cell and recombinant DNA\n* `dietary_supplement`: For example, vitamins, minerals\n* `combination_product`: Combining a drug and device, a biological product and device; a drug and biological product; or a drug, biological product, and device\n* `diagnostic_test`: For example, imaging, in-vitro\n* `other`\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                                "symbols" : [ "drug", "device", "procedure", "biological", "radiation", "behavioral", "genetic", "dietary_supplement", "combination_product", "diagnostic_test", "other" ]
                              },
                              "doc" : "Intervention type, i.e drug"
                            }, {
                              "name" : "interventionName",
                              "type" : "string",
                              "doc" : "Intervention name: Placebo"
                            } ]
                          }
                        } ],
                        "doc" : "Interventions"
                      }, {
                        "name" : "conditions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Conditions"
                      }, {
                        "name" : "primaryPurpose",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "PrimaryPurpose",
                          "doc" : "Treatment: One or more interventions are being evaluated for treating a disease, syndrome, or condition.\n    Prevention: One or more interventions are being assessed for preventing the development of a specific disease or health condition.\n    Diagnostic: One or more interventions are being evaluated for identifying a disease or health condition.\n    Supportive Care: One or more interventions are evaluated for maximizing comfort, minimizing side effects, or mitigating against a decline in the participant's health or function.\n    Screening: One or more interventions are assessed or examined for identifying a condition, or risk factors for a condition, in people who are not yet known to have the condition or risk factor.\n    Health Services Research: One or more interventions for evaluating the delivery, processes, management, organization, or financing of healthcare.\n    Basic Science: One or more interventions for examining the basic mechanism of action (for example, physiology or biomechanics of an intervention).\n    Device Feasibility: An intervention of a device product is being evaluated in a small clinical trial (generally fewer than 10 participants) to determine the feasibility of the product; or a clinical trial to test a prototype device for feasibility and not health outcomes. Such studies are conducted to confirm the design and operating specifications of a device before beginning a full clinical trial.\n    Other: None of the other options applies.\n\n    Ref. https://prsinfo.clinicaltrials.gov/definitions.htm",
                          "symbols" : [ "treatment", "prevention", "diagnostic", "supportive_care", "screening", "health_services_research", "basic_science", "device_feasibility", "other" ]
                        } ],
                        "doc" : "Primary Purpose of the study"
                      }, {
                        "name" : "studyType",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "StudyType",
                          "doc" : "* `Interventional (clinical trial)`: Participants are assigned prospectively to an intervention or interventions\naccording to a protocol to evaluate the effect of the intervention(s) on biomedical or other health related outcomes.\n* `Observational`: Studies in human beings in which biomedical and/or health outcomes are assessed in pre-defined groups\nof individuals. Participants in the study may receive diagnostic, therapeutic, or other interventions, but the\ninvestigator does not assign specific interventions to the study participants. This includes when participants\nreceive interventions as part of routine medical care, and a researcher studies the effect of the intervention.\n* `Expanded Access`: An investigational drug product (including biological product)\navailable through expanded access for patients who do not qualify for enrollment in a clinical trial.\nExpanded Access includes all expanded access types under section 561 of the Federal Food, Drug, and\nCosmetic Act: (1) for individual patients, including emergency use; (2) for intermediate-size patient populations;\nand (3) under a treatment IND or treatment protocol. (For more information on data requirements for this Study Type,\nsee Expanded Access Data Element Definitions).",
                          "symbols" : [ "interventional", "observational", "patient_registry", "expanded_access" ]
                        } ],
                        "doc" : "Study Type"
                      }, {
                        "name" : "demogrphicElegibilityCriteria",
                        "type" : [ "null", {
                          "type" : "record",
                          "name" : "DemographicElegibilityCriteria",
                          "fields" : [ {
                            "name" : "sex",
                            "type" : {
                              "type" : "enum",
                              "name" : "Sex",
                              "namespace" : "org.gel.models.participant.avro",
                              "doc" : "Sex",
                              "symbols" : [ "MALE", "FEMALE", "UNKNOWN" ]
                            }
                          }, {
                            "name" : "ageRange",
                            "type" : [ "null", {
                              "type" : "record",
                              "name" : "AgeRange",
                              "fields" : [ {
                                "name" : "minimumAge",
                                "type" : "int"
                              }, {
                                "name" : "maximumAge",
                                "type" : "int"
                              }, {
                                "name" : "timeunit",
                                "type" : {
                                  "type" : "enum",
                                  "name" : "TimeUnit",
                                  "symbols" : [ "years", "months", "weeks", "days", "hours", "minutes", "na" ]
                                }
                              } ]
                            } ]
                          } ]
                        } ],
                        "doc" : "Elegigility Criteria based on Age and Sex"
                      }, {
                        "name" : "locations",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "TrialLocation",
                            "fields" : [ {
                              "name" : "name",
                              "type" : [ "null", "string" ]
                            }, {
                              "name" : "city",
                              "type" : [ "null", "string" ]
                            }, {
                              "name" : "country",
                              "type" : [ "null", "string" ]
                            }, {
                              "name" : "zip",
                              "type" : [ "null", "string" ]
                            } ]
                          }
                        } ],
                        "doc" : "List with all of the locations where participant can enrolle"
                      }, {
                        "name" : "variantActionable",
                        "type" : "boolean",
                        "doc" : "If true, the association was made using the variant information,\n        if not the association was made at Genomic Entity level"
                      } ]
                    }
                  } ]
                }, {
                  "name" : "prognosis",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Prognosis",
                      "fields" : [ {
                        "name" : "referenceUrl",
                        "type" : "string",
                        "doc" : "URL where reference information for this prognosis can be found"
                      }, {
                        "name" : "prognosis",
                        "type" : [ "null", {
                          "type" : "enum",
                          "name" : "PrognosisClassification",
                          "symbols" : [ "altered_prognosis", "favourable_prognosis", "unfavourable_prognosis" ]
                        } ],
                        "doc" : "Prognosis classification (defined as favourable or unfavourable),\n        in the case that the direction of the prognosis is not known altered_prognosis should be used"
                      }, {
                        "name" : "source",
                        "type" : [ "null", "string" ],
                        "doc" : "Source if known"
                      }, {
                        "name" : "references",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "References"
                      }, {
                        "name" : "conditions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Conditions"
                      }, {
                        "name" : "description",
                        "type" : [ "null", "string" ],
                        "doc" : "Full description of the associated prognosis"
                      }, {
                        "name" : "variantActionable",
                        "type" : "boolean",
                        "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                      } ]
                    }
                  } ]
                }, {
                  "name" : "therapies",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Therapy",
                      "fields" : [ {
                        "name" : "referenceUrl",
                        "type" : "string",
                        "doc" : "URL where reference information for this therapy association can be found"
                      }, {
                        "name" : "source",
                        "type" : [ "null", "string" ],
                        "doc" : "Source"
                      }, {
                        "name" : "references",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "References"
                      }, {
                        "name" : "conditions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Conditions"
                      }, {
                        "name" : "drugResponse",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : {
                            "type" : "record",
                            "name" : "DrugResponse",
                            "fields" : [ {
                              "name" : "TreatmentAgent",
                              "type" : "string",
                              "doc" : "Treatment agent"
                            }, {
                              "name" : "drugResponseClassification",
                              "type" : "DrugResponseClassification",
                              "doc" : "associated effect of the drug"
                            } ]
                          }
                        } ],
                        "doc" : "Drug responses"
                      }, {
                        "name" : "otherInterventions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "Intervention"
                        } ],
                        "doc" : "Any other clinical intervention"
                      }, {
                        "name" : "variantActionable",
                        "type" : "boolean",
                        "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                      } ]
                    }
                  } ]
                }, {
                  "name" : "diagnostic",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "Diagnostic",
                      "fields" : [ {
                        "name" : "referenceUrl",
                        "type" : "string",
                        "doc" : "URL where reference information for this prognosis can be found"
                      }, {
                        "name" : "sources",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Sources if known"
                      }, {
                        "name" : "references",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "References"
                      }, {
                        "name" : "biomarkers",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Biomarkers"
                      }, {
                        "name" : "conditions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Associated conditions"
                      }, {
                        "name" : "diagnosis",
                        "type" : [ "null", "string" ],
                        "doc" : "Diagnosis"
                      }, {
                        "name" : "diagnosisStatus",
                        "type" : [ "null", "string" ],
                        "doc" : "Diagnosis status"
                      }, {
                        "name" : "otherCondition",
                        "type" : [ "null", "string" ],
                        "doc" : "Other condition"
                      }, {
                        "name" : "variantActionable",
                        "type" : "boolean",
                        "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                      } ]
                    }
                  } ]
                }, {
                  "name" : "otherAction",
                  "type" : [ "null", {
                    "type" : "array",
                    "items" : {
                      "type" : "record",
                      "name" : "OtherAction",
                      "fields" : [ {
                        "name" : "referenceUrl",
                        "type" : "string",
                        "doc" : "URL where reference information for this action can be found"
                      }, {
                        "name" : "identifier",
                        "type" : [ "null", "string" ],
                        "doc" : "Action identifier"
                      }, {
                        "name" : "sources",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Sources if known"
                      }, {
                        "name" : "actionType",
                        "type" : [ "null", "string" ],
                        "doc" : "Action type"
                      }, {
                        "name" : "conditions",
                        "type" : [ "null", {
                          "type" : "array",
                          "items" : "string"
                        } ],
                        "doc" : "Associated conditions"
                      }, {
                        "name" : "otherAttributes",
                        "type" : [ "null", {
                          "type" : "map",
                          "values" : "string"
                        } ],
                        "doc" : "Other attributes"
                      }, {
                        "name" : "variantActionable",
                        "type" : "boolean",
                        "doc" : "If true, the association was made at the variant level, if not the association was made at Genomic Entity level"
                      } ]
                    }
                  } ]
                } ]
              } ],
              "doc" : "Actions can be taken on the variant if any"
            }, {
              "name" : "score",
              "type" : [ "null", "float" ],
              "doc" : "This is the score provided to reflect a variant's likelihood of explaining the phenotype using a specific\n        mode of Inheritance. This may be the result of different scoring systems"
            }, {
              "name" : "vendorSpecificScores",
              "type" : [ "null", {
                "type" : "map",
                "values" : "float"
              } ],
              "doc" : "Other scores that the interpretation provider may add (for example phenotypically informed or family\n        informed scores)"
            }, {
              "name" : "variantClassification",
              "type" : [ "null", "VariantClassification" ],
              "doc" : "Variant classification"
            }, {
              "name" : "guidelineBasedVariantClassification",
              "type" : [ "null", {
                "type" : "record",
                "name" : "GuidelineBasedVariantClassification",
                "doc" : "Variant classification based on guidlines, AMP and ACMG are supported",
                "fields" : [ {
                  "name" : "acmgVariantClassification",
                  "type" : [ "null", {
                    "type" : "record",
                    "name" : "AcmgVariantClassification",
                    "doc" : "Full record for the ACMG variant clasiffication, including all selected evidences and the final classification.",
                    "fields" : [ {
                      "name" : "acmgEvidences",
                      "type" : {
                        "type" : "array",
                        "items" : {
                          "type" : "record",
                          "name" : "AcmgEvidence",
                          "doc" : "Represents a single ACMG criterion (PVS1, BA1, PM1... etc) used in the classification of a variant,\n    along with the strength applied at and evidence supporting it.",
                          "fields" : [ {
                            "name" : "category",
                            "type" : {
                              "type" : "enum",
                              "name" : "AcmgEvidenceCategory",
                              "doc" : "Each ACMG criterion is classified in one of these categories",
                              "symbols" : [ "population_data", "computational_and_predictive_data", "functional_data", "segregation_data", "de_novo_data", "allelic_data", "other_database", "other_data" ]
                            },
                            "doc" : "Evidence category as defined in ACMG guidelines"
                          }, {
                            "name" : "type",
                            "type" : {
                              "type" : "enum",
                              "name" : "AcmgEvidenceType",
                              "doc" : "Each ACMG cirterion will be classifed as benign or pathogenic",
                              "symbols" : [ "benign", "pathogenic" ]
                            },
                            "doc" : "Evidence type: benign or pathogenic"
                          }, {
                            "name" : "weight",
                            "type" : {
                              "type" : "enum",
                              "name" : "AcmgEvidenceWeight",
                              "doc" : "Each ACMG criterion is weighted using the following terms:\n\n* `stand_alone`: `A`, stand-alone applied for benign variant critieria `(BA1)`\n* `supporting`: `P`, supporting applied for benign variant critieria `(BP1-6)` and pathogenic variant criteria `(PP1-5)`\n* `moderate`: `M`, moderate applied for pathogenic variant critieria (PM1-6)\n* `strong`: `S`, strong applied for pathogenic variant critieria (PS1-4)\n* `very_strong`: `S`, Very Stong applied for pathogenic variant critieria (PVS1)",
                              "symbols" : [ "stand_alone", "supporting", "moderate", "strong", "very_strong" ]
                            },
                            "doc" : "Default strength for criterion as defined in Table 3 of ACMG guidelines (Richards et al 2015). e.g. PM2 would be \"moderate\""
                          }, {
                            "name" : "modifier",
                            "type" : "int",
                            "doc" : "The number suffix at the end of the ACMG criteria code e.g PM2 would be 2"
                          }, {
                            "name" : "activationStrength",
                            "type" : {
                              "type" : "enum",
                              "name" : "ActivationStrength",
                              "doc" : "Activation Strength enumeration:\n* `strong`\n* `moderate`\n* `supporting`\n* `very_strong`\n* `stand_alone`",
                              "symbols" : [ "strong", "moderate", "supporting", "very_strong", "stand_alone" ]
                            },
                            "doc" : "The strength this criterion has been used at in this interpretation. e.g. if PM2 was only used at \"supporting\" rather than \"moderate\", the activation strength would be \"supporting\""
                          }, {
                            "name" : "description",
                            "type" : [ "null", "string" ],
                            "doc" : "The description of the evidence as described in ACMG guidelines e.g. for PM2 the description would be \"Absent from controls (or at extremely low frequency if recessive) in Exome Sequencing Project, 1000 Genomes Project, or Exome Aggregation Consortium\""
                          }, {
                            "name" : "comments",
                            "type" : [ "null", {
                              "type" : "array",
                              "items" : "UserComment"
                            } ],
                            "doc" : "User comments attached to this ACMG criteria in this case"
                          }, {
                            "name" : "flaggedPublications",
                            "type" : [ "null", {
                              "type" : "array",
                              "items" : "Publication"
                            } ],
                            "doc" : "Publications flagged by the user as relevant to this ACMG evidence"
                          } ]
                        }
                      },
                      "doc" : "Details of ACMG criteria used to score this variant"
                    }, {
                      "name" : "clinicalSignificance",
                      "type" : "ClinicalSignificance",
                      "doc" : "Final classification selected by user"
                    }, {
                      "name" : "calculatedClinicalSignificance",
                      "type" : [ "null", "ClinicalSignificance" ],
                      "doc" : "Classification computed from ACMG scores"
                    }, {
                      "name" : "assessment",
                      "type" : [ "null", "string" ]
                    }, {
                      "name" : "noAcmgEvidence",
                      "type" : [ "null", {
                        "type" : "array",
                        "items" : "AcmgEvidenceCategory"
                      } ],
                      "doc" : "ACMG evidence categories for which the user has indicated there is no evidence available"
                    } ]
                  } ],
                  "doc" : "Variant classification using ACMG framework"
                }, {
                  "name" : "ampVariantClassification",
                  "type" : [ "null", {
                    "type" : "record",
                    "name" : "AmpVariantClassification",
                    "doc" : "Full Variant classification acording to AMP guideline, including all supporting evidences and the final\n    assessment",
                    "fields" : [ {
                      "name" : "ampEvidences",
                      "type" : {
                        "type" : "array",
                        "items" : {
                          "type" : "record",
                          "name" : "AmpEvidence",
                          "doc" : "Evidences as defined in AMP guidelines, they are composed by a evidence type (first column in the evidence table of\n    the guidlines) and a assessment of the evicence, this last one will define the streght of the evidence, supporting\n    the variant to be classified as TierI-IV",
                          "fields" : [ {
                            "name" : "type",
                            "type" : {
                              "type" : "enum",
                              "name" : "AmpEvidenceType",
                              "doc" : "Type of evidence in the AMP guideline",
                              "symbols" : [ "mutation_type", "therapies", "variant_frequencies", "potential_germline", "population_database_presence", "germline_database_presence", "somatic_database_presence", "impact_predictive_software", "pathway_involvement", "publications" ]
                            },
                            "doc" : "AMP evidence type according to Guidlines, i.e germline_database_presence"
                          }, {
                            "name" : "evidenceAssessment",
                            "type" : "string",
                            "doc" : "Assessment for AMP evidence, i.e Present in ClinVar"
                          } ]
                        }
                      },
                      "doc" : "List of AMP evidences"
                    }, {
                      "name" : "ampTier",
                      "type" : {
                        "type" : "enum",
                        "name" : "AmpTier",
                        "doc" : "AMP tier:\n* `TierI`: Variants of Strong Clinical Significance\n* `TierII`: Variants of Potential Clinical Significance\n* `TierIII`: Variants of Unknown Clinical Significance\n* `TierIV`: Benign or Likely Benign Variants",
                        "symbols" : [ "tierI", "tierII", "tierIII", "tierIV" ]
                      },
                      "doc" : "Final Clasification taken in account the evidences"
                    }, {
                      "name" : "ampClincialOrExperimentalEvidence",
                      "type" : [ "null", {
                        "type" : "array",
                        "items" : {
                          "type" : "record",
                          "name" : "AmpClincialOrExperimentalEvidence",
                          "doc" : "Amp Clinical or Experimental Evidence, the level will define the overal clasification of the variant together with\n    the tiering.",
                          "fields" : [ {
                            "name" : "category",
                            "type" : {
                              "type" : "enum",
                              "name" : "AmpClinicalOrExperimentalEvidenceCategory",
                              "doc" : "Categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                              "symbols" : [ "therapeutic", "diagnosis", "prognosis" ]
                            },
                            "doc" : "As denined in AMP guidelines: therapeutic, diagnosis or prognosis"
                          }, {
                            "name" : "level",
                            "type" : {
                              "type" : "enum",
                              "name" : "AmpClinicalOrExperimentalEvidenceLevel",
                              "doc" : "Levels for categories of Clinical and/or Experimental Evidence as defined in AMP guidelines",
                              "symbols" : [ "levelA", "levelB", "levelC", "levelD" ]
                            },
                            "doc" : "As denined in AMP guidelines: levelA, levelB, levelC, levelD"
                          }, {
                            "name" : "description",
                            "type" : [ "null", "string" ],
                            "doc" : "Description of the evidence"
                          } ]
                        }
                      } ],
                      "doc" : "Clinical or Experimental evicence"
                    }, {
                      "name" : "assessment",
                      "type" : [ "null", "string" ],
                      "doc" : "Final Assessment"
                    } ]
                  } ],
                  "doc" : "Variant classification using AMP framework"
                } ]
              } ],
              "doc" : "Guidelines based Variant classification"
            }, {
              "name" : "algorithmBasedVariantClassifications",
              "type" : [ "null", {
                "type" : "array",
                "items" : {
                  "type" : "record",
                  "name" : "AlgorithmBasedVariantClassification",
                  "fields" : [ {
                    "name" : "algorithmName",
                    "type" : "string",
                    "doc" : "Name of the applied algorithm"
                  }, {
                    "name" : "classification",
                    "type" : "string",
                    "doc" : "classification"
                  }, {
                    "name" : "rank",
                    "type" : [ "null", "int" ],
                    "doc" : "rank"
                  }, {
                    "name" : "score",
                    "type" : [ "null", "int" ],
                    "doc" : "Score"
                  } ]
                }
              } ],
              "doc" : "Algorithm based variant classifications"
            }, {
              "name" : "tier",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "Tier",
                "doc" : "Variant tiers as defined by Genomics England",
                "symbols" : [ "NONE", "TIER1", "TIER2", "TIER3", "TIER4", "TIER5", "TIERA", "TIERB" ]
              } ],
              "doc" : "The tier where this variant has been classified. Tier is a property of the model of inheritance and therefore\n        is subject to change depending on the inheritance assumptions"
            }, {
              "name" : "domain",
              "type" : [ "null", {
                "type" : "enum",
                "name" : "Domain",
                "symbols" : [ "DOMAIN1", "DOMAIN2", "DOMAIN3", "DOMAIN4", "NONE" ]
              } ],
              "doc" : "The Domain where this variant has been classified."
            } ]
          },
          "doc" : "Report event"
        } ]
      }
    } ],
    "doc" : "Report event(s) selected by user when interpreting this variant. Contains information such as phenotype and mode of inheritance."
  }, {
    "name" : "additionalInfo",
    "type" : [ "null", {
      "type" : "map",
      "values" : "string"
    } ],
    "doc" : "Additional information relevant to this variant interpretation"
  } ]
}
